## vip-manager2 2.3.0

=== Makefile ===
GOENV=CGO_ENABLED=0

all: vip-manager

vip-manager: *.go */*.go
	$(GOENV) go build -ldflags="-s -w" .

install:
	install -d $(DESTDIR)/usr/bin
	install vip-manager $(DESTDIR)/usr/bin/vip-manager
	install -d $(DESTDIR)/etc/default
	install vipconfig/vip-manager.yml $(DESTDIR)/etc/default/vip-manager.yml

DESTDIR=tmp

package: 
	goreleaser release --snapshot --skip-publish --rm-dist

clean:
	$(RM) vip-manager
	$(RM) -r dist
	$(RM) -r $(DESTDIR)

## vip-manager2 2.1.0

=== debian/changelog ===
vip-manager2 (2.1.0-4) unstable; urgency=medium

  * debian/tests/test: Make sure etcd is stopped before tests start (Closes:
    #1030967). 

 -- Michael Banck <mbanck@debian.org>  Fri, 17 Feb 2023 14:40:18 +0100

vip-manager2 (2.1.0-3) unstable; urgency=medium

  * debian/control (Uploaders): Updated.

 -- Michael Banck <mbanck@debian.org>  Fri, 17 Feb 2023 13:12:42 +0100

vip-manager2 (2.1.0-2) unstable; urgency=medium

  * debian/vip-manager.docs: Renamed to ...
  * debian/vip-manager2.docs: ... this.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 08 Feb 2023 11:31:12 +0100

vip-manager2 (2.1.0-1) unstable; urgency=medium

  * Initial upload of vip-manager2, based off on vip-manager packaging.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 07 Feb 2023 17:45:47 +0100

=== debian/control ===
Source: vip-manager2
Section: net
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-etcd-server-dev,
 golang-github-coreos-go-semver-dev,
 golang-github-json-iterator-go-dev,
 golang-github-mdlayher-arp-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-modern-go-concurrent-dev,
 golang-github-modern-go-reflect2-dev,
 golang-golang-x-net-dev,
 golang-golang-x-sys-dev,
 golang-gopkg-yaml.v2-dev
Standards-Version: 4.6.0
X-Python3-Version: >= 3.5
Homepage: https://github.com/cybertec-postgresql/vip-manager
Vcs-Browser: https://salsa.debian.org/postgresql/vip-manager2
Vcs-Git: https://salsa.debian.org/postgresql/vip-manager2.git
XS-Go-Import-Path: github.com/cybertec-postgresql/vip-manager

Package: vip-manager2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: vip-manager
Replaces: vip-manager
Enhances: patroni
Built-Using: ${misc:Built-Using}
Description: Patroni virtual IP manager
 This package needs to be installed and configured on all nodes of a Patroni
 PostgreSQL cluster. Given a Patroni namespace and scope in etcd or consul,
 the vip-manager service monitors that namespace for leader changes due to
 failovers or switchovers and adds or removes the VIP on the local node
 accordingly.
 .
 This package works only with version 3 of the etcd API.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export LANG=C.UTF-8

export DH_GOLANG_EXCLUDES := iphlpapi

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_install:
	dh_install
	install -d $(CURDIR)/debian/vip-manager2/lib/systemd/system
	install -m 664 vip-manager.service $(CURDIR)/debian/vip-manager2/lib/systemd/system/vip-manager.service
	install -m 664 debian/vip-manager@.service $(CURDIR)/debian/vip-manager2/lib/systemd/system/vip-manager@.service
	install -d $(CURDIR)/debian/vip-manager2/etc/patroni
	install -m 664 debian/vip.in $(CURDIR)/debian/vip-manager2/etc/patroni/vip.in

## vip-manager2 2.3.0

=== debian/changelog ===
vip-manager2 (2.3.0-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 11 Nov 2024 09:17:43 +1000

vip-manager2 (2.3.0-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 09:43:29 +0530

vip-manager2 (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/behaviour_test.patch: Refreshed.
  * debian/patches/go_deps.patch: Likewise.
  * debian/patches/etcd-3.4-build-fixes.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sat, 10 Feb 2024 16:15:05 +0100

vip-manager2 (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/disable-consul: Refrehed.
  * debian/patches/go_deps.patch: Likewise.
  * debian/patches/support_etcd3_as_endpoint_type.patch: Removed, applied
    upstream.

 -- Michael Banck <mbanck@debian.org>  Fri, 19 Jan 2024 17:15:23 +0100

vip-manager2 (2.1.0-5) unstable; urgency=medium

  * Install systemd services using dh_installsystemd only. (See #1054479)
  * debian/tests: Set ETCD_UNSUPPORTED_ARCH on s390x.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Oct 2023 14:43:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: vip-manager2
 Section: net
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Michael Banck <mbanck@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Uploaders:
+ Michael Banck <mbanck@debian.org>,
+ Christoph Berg <myon@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-golang,
@@ -17,8 +20,8 @@
  golang-golang-x-net-dev,
  golang-golang-x-sys-dev,
  golang-gopkg-yaml.v2-dev
-Standards-Version: 4.6.0
-X-Python3-Version: >= 3.5
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/cybertec-postgresql/vip-manager
 Vcs-Browser: https://salsa.debian.org/postgresql/vip-manager2
 Vcs-Git: https://salsa.debian.org/postgresql/vip-manager2.git

=== debian/tests/control ===
Depends:
 @,
 etcd-client,
 etcd-server,
 iproute2,
 ncat
Tests: test
Restrictions: needs-root, allow-stderr

Depends:
 @,
 etcd-client,
 etcd-server,
 iproute2,
 ncat
Tests: cacert_test
Restrictions: needs-root, allow-stderr

Depends:
 @,
 etcd-client,
 etcd-server,
 iproute2,
 ncat
Tests: clientcert_test
Restrictions: needs-root, allow-stderr

## vip-manager2 2.5.0

=== debian/changelog ===
vip-manager2 (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0.
  * debian/tests: Use dashes in test names.

 -- Christoph Berg <myon@debian.org>  Fri, 17 May 2024 10:12:20 +0200

## vip-manager2 2.6.0

=== debian/changelog ===
vip-manager2 (2.6.0-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 03 Sep 2024 17:59:17 +0200

vip-manager2 (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0.

 -- Christoph Berg <myon@debian.org>  Tue, 03 Sep 2024 17:59:17 +0200

vip-manager2 (2.5.0-2) unstable; urgency=medium

  * Update import paths for etcd v3.5 (Closes: #1078323)

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Fri, 23 Aug 2024 11:57:04 +0200

## vip-manager2 2.8.0

=== debian/changelog ===
vip-manager2 (2.8.0-1) unstable; urgency=medium

  * New upstream version 2.8.0.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Nov 2024 17:03:28 +0100

vip-manager2 (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0.

 -- Christoph Berg <myon@debian.org>  Wed, 25 Sep 2024 16:12:03 +0200

## vip-manager2 3.0.0

=== debian/changelog ===
vip-manager2 (3.0.0-2) unstable; urgency=medium

  [ Christoph Berg ]
  * Refresh debian/patches/etcd-3.4-build-fixes.patch.

  [ Michael Banck ]
  * debian/patches/etcd-3.4-build-fixes.patch: Updated with reverts to Logger
    changes. 

 -- Christoph Berg <myon@debian.org>  Mon, 03 Feb 2025 16:33:05 +0100

vip-manager2 (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/disable-consul: Refreshed.
  * debian/patches/go_deps.patch: Likewise.
  * debian/rules (override_dh_auto_build): New rule, uses version and date from
    the Debian changelog to set the build flags for --version output. (Closes:
    Salsa#1)

 -- Michael Banck <mbanck@debian.org>  Mon, 13 Jan 2025 16:19:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: vip-manager2
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Michael Banck <mbanck@debian.org>,
  Christoph Berg <myon@debian.org>,

=== debian/tests/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  etcd-server,
  iproute2,
  ncat
-Tests: cacert_test
+Tests: cacert-test
 Restrictions: needs-root, allow-stderr
 
 Depends:
@@ -22,5 +22,5 @@
  etcd-server,
  iproute2,
  ncat
-Tests: clientcert_test
+Tests: clientcert-test
 Restrictions: needs-root, allow-stderr

## vip-manager2 4.0.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 all: vip-manager
 
 vip-manager: *.go */*.go
-	$(GOENV) go build -ldflags="-s -w" .
+	$(GOENV) go build -ldflags="-s -w -X main.version=`git describe --tags --abbrev=0` -X main.commit=`git show -s --format=%H HEAD` -X main.date=`git show -s --format=%cI HEAD`" .
 
 install:
 	install -d $(DESTDIR)/usr/bin

=== debian/changelog ===
vip-manager2 (4.0.0-2) unstable; urgency=medium

  * debian/tests: Ignore errors when stopping the system etcd.
  * debian/tests: Merge test commands into a single script.

 -- Christoph Berg <myon@debian.org>  Wed, 27 Aug 2025 16:41:03 +0200

vip-manager2 (4.0.0-1) experimental; urgency=medium

  * New upstream version 4.0.0.

 -- Christoph Berg <myon@debian.org>  Wed, 25 Jun 2025 11:34:19 +0000

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  golang-any,
  golang-etcd-server-dev,
  golang-github-coreos-go-semver-dev,
+ golang-github-google-gopacket-dev,
  golang-github-json-iterator-go-dev,
  golang-github-mdlayher-arp-dev,
  golang-github-mitchellh-go-homedir-dev,

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export LANG=C.UTF-8

export DH_GOLANG_EXCLUDES := iphlpapi

export VERSION=$(shell dpkg-parsechangelog --show-field Version)
export DATE=$(shell date --date="@$${SOURCE_DATE_EPOCH}" +%Y-%m-%d)

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -- -buildvcs=false -ldflags "-X main.version=$${VERSION} -X main.date=$${DATE}"

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_install:
	dh_install
	install -d $(CURDIR)/debian/vip-manager2/etc/patroni
	install -m 664 debian/vip.in $(CURDIR)/debian/vip-manager2/etc/patroni/vip.in

override_dh_installsystemd:
	dh_installsystemd --name vip-manager

=== debian/tests/control ===
Depends:
 @,
 etcd-client,
 etcd-server,
 iproute2,
 ncat
Test-Command: debian/tests/test behaviour_test
Features: test-name=behaviour_test
Restrictions: needs-root, allow-stderr

Depends:
 @,
 etcd-client,
 etcd-server,
 iproute2,
 ncat
Test-Command: debian/tests/test cacert_test
Features: test-name=cacert_test
Restrictions: needs-root, allow-stderr

Depends:
 @,
 etcd-client,
 etcd-server,
 iproute2,
 ncat
Test-Command: debian/tests/test clientcert_test
Features: test-name=clientcert_test
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/vip-manager2-$1\.tar\.gz/,uversionmangle=s/-beta/~beta/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,repacksuffix=+ds \
  https://github.com/cybertec-postgresql/vip-manager/tags .*/v?(\d\S+)\.tar\.gz
